import QtQuick 1.0
Rectangle{
    id: helpMenu
    width: 600
    height: 300
    radius: 50
    signal balotOverViewClicked();
    signal biddingAndGamesClicked();
    signal projectsAndBonusesClicked();
    signal playingClicked();
    signal scoringClicked();
    signal cancelClicked();
    property alias textBalotOverView: textBalotOverView.text
    property alias textBiddingAndGames: textBiddingAndGames.text
    property alias textProjectsAndBonuses: textProjectsAndBonuses.text
    property alias textPlaying: textPlaying.text
    property alias textScoring: textScoring.text
    property alias textCancel: textCancel.text
    property alias textTitle: textTitle.text

    Behavior on opacity {NumberAnimation{duration:1000}}
    Text {
        id: textTitle
        x: 0
        y: 11
        width: 600
        height: 38
        text: qsTr("Help")
        font.pointSize: 25
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
    }

    Rectangle//balotOverView
    {
        id: balotOverView
        x: 42
        height: 60
        width: 230
        color: "lightblue"
        radius: 10
        anchors.horizontalCenterOffset: -143
        y:63
        anchors.horizontalCenter: parent.horizontalCenter
        Text {
            id: textBalotOverView
            text: "Balot OverView"
            font.pointSize: 17
            horizontalAlignment: Text.AlignLeft
            anchors.centerIn: parent
        }
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8;
            onReleased: parent.scale=1;
            onClicked:
            {
                balotOverViewClicked();
                if(lang=="a")
                {
                    textTitleForSubMenu.text=textBalotOverView.text
                    helpText.text="     البلوت هي لعبة يلعبها أربعة لاعبين (لاعبين لكل فريق)";
                    helpText.text+="\n     يتم اللعب ب 32 ورقة لعب أساسية";
                    helpText.text+="\n     الفريق الفائز هو الذي يسجل 152 نقطة أولاً";
                    helpText.text+="\n     اللعبة تلعب عكس إتجاه عقارب الساعة. كل لاعب يحصل على";
                    helpText.text+="\n     3 أوراق من ثم ورقتين. ";
                    helpText.text+="\n     حينها يصبح كل لاعب يملك 5 أوراق بعدها";
                    helpText.text+="\n     يقوم كل لاعب بتنزيل ورقة على الأرض لتبدأ حينها المزايدة";
                }
                else
                {
                    textTitleForSubMenu.text="Balot OverView";
                    helpText.text="Balot is a game for 4 people (two teams of two).";
                    helpText.text+="\nThe game  is played with  32 standard  playing "
                    helpText.text+="\ncards.";
                    helpText.text+="\nThe winner  is a team who first get score  152.";
                    helpText.text+="\nThe dealing goes  anti-clockwise. Every player";
                    helpText.text+="\nis  dealt 3 then 2 cards.  Now every player has";
                    helpText.text+="\n5 cards.Then the next card the put in the ground.";
                    helpText.text+="\nAfter that bidding phase starts.";
                }

                rectHelpText.opacity=1;
            }
        }
    }


    Rectangle//biddingAndGames
    {
        id: biddingAndGames
        x: 329
        height: 60
        width: 230
        color: "lightblue"
        radius: 10
        anchors.horizontalCenterOffset: 144
        y:63
        anchors.horizontalCenter: parent.horizontalCenter
        Text {
            id: textBiddingAndGames
            text: "Bidding And Games"
            font.pointSize: 17
            anchors.centerIn: parent
        }
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8;
            onReleased: parent.scale=1;
            onClicked:{

                biddingAndGamesClicked();
                if(lang=="a")
                {//
                    textTitleForSubMenu.text=textBiddingAndGames.text;
                    helpText.text="      الهدف من توزيع ورق اللعب هو تحديد أي لعبة ستلعب";
                    helpText.text+="\n      الموزع هو اللاعب الذي يجلس على يمين المزايد  ";
                    helpText.text+="\n       وسيقترح أحد الألعاب أو يقول 'بس'";
                    helpText.text+="\n      بإمكان اللاعب التالي إقتراح لعبة أعلى أو يقول 'بس'";
                    helpText.text+="\n      المزايدة تنتهي عندما يقول ثلاثة لاعبين 'بس' على التوالي";
                    helpText.text+="\n      عندها يقوم الموزع بتوزيع ثلاثة أوراق إضافية. (";
                    helpText.text+="\n      في حال لم يكن هناك مزايدة";
                    helpText.text+="\n      أي قال الجميع 'بس')، تجمع الاوراق معاً ويقوم الشخص التالي بالتوزيع";
                    helpText.text+="\n      شراء الحكم";
                    helpText.text+="\n      مع لعبة الحكم أحد الأنواع يعتبر نوع رابح والأخرين متساوون ";
                    helpText.text+="\n      في القوة ترتب قوة الأوراق للمجموعة الرابحة كما يلي";
                    helpText.text+="\n      الولد, 9, الإكه, 10, الشايب, البنت, 8, 7.";
                    helpText.text+="\n      ترتب قوة الأوراق لباقي االأنواع كما يلي:";
                    helpText.text+="\n      الإكة, 10, الشايب, البنت, الولد, 9, 8, ";
                    helpText.text+="\n      شراء الصن";
                    helpText.text+="\n      لا يوجد هناك حكم في هذه اللعبة وترتب قوة جميع الأنواع كما:";
                    helpText.text+="\n      يلي:";
                    helpText.text+="\n      الإكة 10 الشايب البنت الولد 9 8 7";
                }
                else
                {
                textTitleForSubMenu.text="Bidding And Games";
                helpText.text="The  point of  the dealing is to  determine which game is going to be played out.The first bidder is the player to the right of the dealer. He proposes one of the variants of the game or bid pass'. The next player can suggest a higher game or  'pass' . Bidding ends  when three players consecutively bid a pass. Then the dealer deals 3 extra cards. If no valid game was bid (everyone said pass) the cards are gathered together and the next person deals.";
                helpText.text+="\nHOKOM BID";
                helpText.text+="\nWith a Hokom game one of the suits is decided as a Hokom suit, the rest are equal in  strength. The strength of the cards of the Hokom suit are as follows:";
                helpText.text+="\nJ, 9, A, 10, K, Q, 8, 7.";
                helpText.text+="\nWith the rest of the suits the strength of the cards is as follows:";
                helpText.text+="\nA, 10, K, Q, J, 9, 8, and 7 a Hokom card is stronger than any card from any other suit. ";
                helpText.text+="\nSUN BID";
                helpText.text+="\nThere is NO Hokom in this game and the strengths of all the suits are as follows:";
                helpText.text+="\nA 10 K Q J 9 8 7";
                }

                rectHelpText.opacity=1;
            }
        }
    }
    Rectangle//projectsAndBonusesClicked
    {
        id: projectsAndBonuses
        x: 42
        height: 60
        width: 230
        color: "lightblue"
        radius: 10
        anchors.horizontalCenterOffset: -143
        y:144
        anchors.horizontalCenter: parent.horizontalCenter
        Text {
            id: textProjectsAndBonuses
            text: "Projects And Bonuses"
            font.pointSize: 17
            anchors.centerIn: parent
        }
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8;
            onReleased: parent.scale=1;
            onClicked:
            {
                projectsAndBonusesClicked();
                if(lang=="a")
                {

                    textTitleForSubMenu.text=textProjectsAndBonuses.text
                    helpText.text="      اذا كان اللاعب يحمل الأوراق التالية";
                    helpText.text+="\n      حينها يلعب الورقة الأولى في اللعبة ويفوز بالنقاط التالية للفريق";
                    helpText.text+="\n      سرا";
                    helpText.text+="\n      3 أوراق متسلسلة من نفس النوع";
                    helpText.text+="\n      خمسين";
                    helpText.text+="\n      4 أوراق متسلسلة من نفس النوع";
                    helpText.text+="\n      مية";
                    helpText.text+="\n      أربع أوراق متساوية (10,الولد,البنت,الشايب أو الإكك).";
                    helpText.text+="\n      أربعمية";
                    helpText.text+="\n      4 إكك في الصن فقط";
                    helpText.text+="\n      النقاط الإضافية لأخر يد";
                    helpText.text+="\n      الفريق الفائز بأخر يد حصل على نقاط إضافية";
                    helpText.text+="\n      النقاط الإضافية لجميع الاوراق";
                    helpText.text+="\n      الفريق الفائز بجميع الاوراق يحصل على نقاط إضافية";
                    helpText.text+="\n      حدود الصن";
                    helpText.text+="\n      من الممكن الإعلان عن أربعمية عند لعب الصن";

                }
                else
                {
                textTitleForSubMenu.text="Projects And Bonuses";
                helpText.text="\nProjects And Bonuses";
                helpText.text+="\nIf a player holds the following combinations of cards and declares so when playing a first card of that game wins the respective points for team:";
                helpText.text+="\nSERRA";
                helpText.text+="\n3 cards in a sequence from the same suit.";
                helpText.text+="\nKHAMSEEN";
                helpText.text+="\n4 cards in a sequence from the same suit.";
                helpText.text+="\nMIYYA";
                helpText.text+="\n4 equal cards (10,J,Q,K or A).";
                helpText.text+="\nARBAMIYYA";
                helpText.text+="\n4 cards of Aces in SUN game.";
                helpText.text+="\nBALOT";
                helpText.text+="\nKing and Queen of a Hokoms suit. The declaration happens when second card of pair is played.";
                helpText.text+="\nLAST HAND BONUS";
                helpText.text+="\nA bonus given to the team who won the last hand.";
                helpText.text+="\nALL HANDS BONUS";
                helpText.text+="\nA bonus given to the team in case all hands taken by this team.";
                helpText.text+="\nSUN LIMITATIONS";
                helpText.text+="\nWhen playing SUN it possible to declare Arbamiyya only.";
                helpText.text+="\nHowever Last Hand and All Hands bonuses are available.";
                }
                rectHelpText.opacity=1;
            }
        }
    }
    Rectangle//playing
    {
        id: playing
        x: 329
        height: 60
        width: 230
        color: "lightblue"
        radius: 10
        anchors.horizontalCenterOffset: 144
        y:144
        anchors.horizontalCenter: parent.horizontalCenter
        Text {
            id: textPlaying
            text: "Playing"
            font.pointSize: 17
            anchors.centerIn: parent
        }
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8;
            onReleased: parent.scale=1;
            onClicked:
            {
                playingClicked();
                if(lang=="a")
                {

                    textTitleForSubMenu.text=textPlaying.text
                    helpText.text="      يقوم ببدء اللعبة اللاعب الذي على يمين الموزع، ";
                    helpText.text+="\n      حيث يقوم بتنزيل الأوراق على الطاولة";
                    helpText.text+="\n      هذه الورقة تحدد  النوع المطلوب";
                    helpText.text+="\n      يقوم باقي اللاعبين بتنزيل ورقة من أوراقهم من نفس النوع. ";
                    helpText.text+="\n      حينها يربح التنزيل اللاعب صاحب أعلى ورقة";
                    helpText.text+="\n      أو الورقة الرابحة";

                    helpText.text+="\n      يقوم اللاعب الذي يملك التنزيل بجمع جميع أوراق هذه الصكة";

                    helpText.text+="\n      ويضعهم مقلوبين أمامة";
                    helpText.text+="\n      يقوم اللاعب صاحب التنزيل الأول ببدأ اللعبة ";
                    helpText.text+="\n      التالية وهكذا تستمر اللعبة";
                    helpText.text+="\n      لعبة الحكم";
                    helpText.text+="\n      قواعد هذه اللعبة تتبع بشكل إجباري النوع المطلوب. ";
                    helpText.text+="\n      إذا كانت هذا النوع حكم يصبح إجبارياً أن";
                    helpText.text+="\n      تلعب ورقة حكم أعلى (إذا كنت تملك واحدة";
                    helpText.text+="\n      ) إذا كان اللاعب لا يملك ورقة من النوع المطلوب هذا";
                    helpText.text+="\n      سيجبره أن يلعب ورقة حكم فقط";
                    helpText.text+="\n      إذا كان التنزيل بيد الخصم";
                    helpText.text+="\n      إذا كان الخصم يملك مسبقاً ورقة الحكم";
                    helpText.text+="\n      وأنت ليس بإستطاعتك المتابعة من نفس المجموعة";
                    helpText.text+="\n      عندها يجب عليك أن تلعب ورقة حكم أعلى ";
                    helpText.text+="\n      إذا كنت تملكها وإلا بإمكانك لعب أي ورقة أخرى. ";
                    helpText.text+="\n      لعبة الصن";
                    helpText.text+="\n      هذه اللعبة هي نفس لعبة الحكم";
                    helpText.text+="\n      ، لكن لا يوجد فيها ربح ";
                    helpText.text+="\n      والقاعدة الوحيدة فيها هي تتابع الأنواع";
                }
                else
                {
                textTitleForSubMenu.text="Playing";
                helpText.text="The game begins  with the player on the right of the dealer. Player places card on the table. That card determines the 'wanted' suit.";
                helpText.text+="\nAll other players place one of their cards from the same suit. The hand is won by the player who placed the highest card (or Hokom).";
                helpText.text+="\nThe person who won the hand gathers the cards of that  hand and places them face down in front of him.";
                helpText.text+="\nThe person who won the hand starts off the next hand and so on.";
                helpText.text+="\nHOKOM GAME";

                helpText.text+="\nThe basics of the  game  is  in  the  compulsory following  of  the  'wanted'  suit.  If that suit is a Hokom then  it is  compulsory  to play a higher Hokom(if you have one).If a player does not hold a card of  the  'wanted' suit  player is obliged to play a Hokom card(Hokoming) only if the hand is being won by an opponent so far.";
                helpText.text+="\nIf the opponent has already (Hokomed) and you cannot follow suit you must play a higher Hokom if you can. Otherwise you can play any card.";

                helpText.text+="\nSUN GAME";
                helpText.text+="\nSame as  the specific  Hokom  game, but  there is no Hokom and the only rule in play is the following of suit.";

                }
                rectHelpText.opacity=1;
            }
        }
    }
    Rectangle// scoring
    {
        id:  scoring
        x: 42
        height: 60
        width: 230
        y:223
        color: "lightblue"
        radius: 10
        anchors.verticalCenterOffset: 103
        anchors.horizontalCenterOffset: -143
        anchors.centerIn: parent

        Text {
            id: textScoring
            text: "Scoring"
            font.pointSize: 17
            anchors.centerIn: parent
        }
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8;
            onReleased: parent.scale=1;
            onClicked: {

                scoringClicked();
                if(lang=="a")
                {
                    textTitleForSubMenu.text=textScoring.text
                    helpText.text="      في نهاية اللعبة يقوم كل فريق بجمع نقاطهم من";
                    helpText.text+="\n      جميع التنزيلات التي ربحوها";
                    helpText.text+="\n      الجدول التالي يوضح كم نقطة تحملها كل ورقة.";
                    helpText.text+="\n      نوع الحكم";
                    helpText.text+="\n      الولد - 20";
                    helpText.text+="\nل      9 - 14";
                    helpText.text+="\n      الإكه - 11";
                    helpText.text+="\nل      10 - 10";
                    helpText.text+="\n      الشايب - 4";
                    helpText.text+="\n      البنت - 3";
                    helpText.text+="\n      غير الحكم";
                    helpText.text+="\n      الإكه - 11";
                    helpText.text+="\nل      10 - 10";
                    helpText.text+="\n      الشايب - 4 ";
                    helpText.text+="\n      البنت - 3 ";
                    helpText.text+="\n      الولد - 2";
                    helpText.text+="\n      يضاف لمجموع نقاط الفريق النقاط الإضافية،";
                    helpText.text+="\n      في حال لعب لعبة غير رابحة تضاعف النقاط المسجلة";
                    helpText.text+="\n      ( ما عدا النقاط الإضافية المحصلة من الفوز بجميع التنزيلات).";
                    helpText.text+="\n      إذا سجل الفريق الذي قام بالمزايدة نقاطا أكثر";
                    helpText.text+="\n      من الخصم حينها يفوز المزايدون باللعبة ";
                    helpText.text+="\n      إذا كانت النقاط متساوية يعلن أن اللعبة معلقة. ";
                    helpText.text+="\n      إذا لم يسجل الفريق صاحب المزايدة نقاط";
                    helpText.text+="\n      أكثر من الخصم عندها يخسر هذا الفريق اللعبة";
                }
                else
                {
                textTitleForSubMenu.text="Scoring";
                helpText.text="At the end of the game each teams counts their points from the hands they have won. Following table outlines how much points each card carries.";
                helpText.text+="\nHokom Suit";
                helpText.text+="\nJ - 20";
                helpText.text+="\n9 - 14";
                helpText.text+="\nA - 11";
                helpText.text+="\n10 - 10";
                helpText.text+="\nK - 4";
                helpText.text+="\nQ - 3";
                helpText.text+="\nSUN";
                helpText.text+="\nA - 11";
                helpText.text+="\n10 - 10";
                helpText.text+="\nK - 4 ";
                helpText.text+="\nQ - 3 ";
                helpText.text+="\nJ - 2";
                helpText.text+="\nTo the total team score is added points scored from bonuses. When the No Hokoms game is played the points scored are doubled (except for the bonus of getting all the hands).";
                helpText.text+="\nIf the team that bid the game scores more points then the opponent then the game is won by the bidders. ";
                helpText.text+="\nIf the points are equal then the game is declared hanging. If the bidding team does not score more points then the opponent then the game is forfeited by the bidding team.";
                }
                rectHelpText.opacity=1;
            }
        }
    }
    Rectangle// cancel
    {
        id:  cancel
        x: 329
        height: 60
        width: 230
        y:223
        color: "lightblue"
        radius: 10
        anchors.verticalCenterOffset: 103
        anchors.horizontalCenterOffset: 144
        anchors.centerIn: parent

        Text {
            id: textCancel
            text: "Cancel"
            font.pointSize: 17
            anchors.centerIn: parent
        }
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8;
            onReleased: parent.scale=1;
            onClicked: cancelClicked();
        }
    }

    Rectangle {
        id:rectHelpText
        width:parent.width; height:parent.height
        opacity: 0
        radius: 20
        Rectangle {
            id:helpScreen
            width:rectHelpText.width; height:rectHelpText.height
            radius: 20
            Text {
                id: textTitleForSubMenu
                x: 0
                y: 0
                width: 600
                height: 45
                text: qsTr("title")
                font.pointSize: 25
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: Text.AlignHCenter
            }

            Image {
                id: imageBack
                x: -30
                y: -25
                source: "close.png"
                MouseArea
                {
                    anchors.fill: parent
                    onPressed: parent.scale=.8;
                    onReleased: parent.scale=1;
                    onClicked: rectHelpText.opacity=0;
                }
            }
            Flickable {
                id: flickArea

                anchors.fill: parent
                 anchors.topMargin: 50
                 anchors.leftMargin: 10
                 anchors.rightMargin: 20
                 contentWidth: helpText.width; contentHeight: helpText.height
                 flickableDirection: Flickable.VerticalFlick
                 clip: true

                 TextEdit{
                      id: helpText
                       wrapMode: TextEdit.WordWrap
                       width:helpScreen.width-20;
                       anchors.margins: 15
                       readOnly:true
                       text:""
                       font.pointSize: 20
                       //text:  "The point of the dealing is to determine which game is going to be played out.The first bidder is the player to the right of the dealer. He proposes one of the variants of the game or b The next player can suggest a higidding ends when three players consecutively bid a pass. Then the dealer deals 3 extra cards. If no valid game was bid (everyone said pass) the cards are gathered together and the next person deals.  HOKOM BID                  With a Hokom game one of the suits is decided as a Hokom suit, the rest are equal in strength. The strength of the cards of the Hokom suit are as follows: The point of the dealing is to determine which game is going to be played out.The first bidder is the player to the right of the dealer. He proposes one of the variants of the game or b The next player can suggest a higidding ends when three players consecutively bid a pass. Then the dealer deals 3 extra cards. If no valid game was bid (everyone said pass) the cards are gathered together and the next person deals.  HOKOM BID                  With a Hokom game one of the suits is decided as a Hokom suit, the rest are equal in strength. The strength of the cards of the Hokom suit are as follows:The point of the dealing is to determine which game is going to be played out.The first bidder is the player to the right of the dealer. He proposes one of the variants of the game or b The next player can suggest a higidding ends when three players consecutively bid a pass. Then the dealer deals 3 extra cards. If no valid game was bid (everyone said pass) the cards are gathered together and the next person deals.  HOKOM BID                  With a Hokom game one of the suits is decided as a Hokom suit, the rest are equal in strength. The strength of the cards of the Hokom suit are as follows: The point of the dealing is to determine which game is going to be played out.The first bidder is the player to the right of the dealer. He proposes one of the variants of the game or b The next player can suggest a higidding ends when three players consecutively bid a pass. Then the dealer deals 3 extra cards. If no valid game was bid (everyone said pass) the cards are gathered together and the next person deals.  HOKOM BID                  With a Hokom game one of the suits is decided as a Hokom suit, the rest are equal in strength. The strength of the cards of the Hokom suit are as follows:"
                }
            }
        }
    }
 }

