import QtQuick 1.0
Rectangle{
    id: menu
    width: 350
    height: 300
    radius: 30
    signal backClicked();
    signal lastScoreClicked();
    signal cardRankesClicked();
    property alias resume: textResume.text
    property alias mainMenu: textMainMenu.text
    property alias sound: textSound.text
    property alias viewScore: textViewScore.text
    property alias cardRanks: texCardRanks.text
    property alias textSound: textSound

    Behavior on opacity {NumberAnimation{duration:1000}}
    Rectangle//resume
    {
        id: resume
        x: 41
        height: 60
        width: 130
        color: "lightblue"
        radius: 10
        anchors.horizontalCenterOffset: -69
        y:28
        anchors.horizontalCenter: parent.horizontalCenter
        Text {
            id: textResume
            text: "Resume"
            font.pointSize: 15
            horizontalAlignment: Text.AlignLeft
            anchors.centerIn: parent
        }
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8;
            onReleased: parent.scale=1;
            onClicked: menu.opacity=0;
        }
    }
    Rectangle//main menu
    {
        id: mainMenu
        x: 41
        height: 60
        width: 275
        color: "lightblue"
        radius: 10
        anchors.horizontalCenterOffset: 4
        y:208
        anchors.horizontalCenter: parent.horizontalCenter
        Text {
            id: textMainMenu
            text: "Exit to Main Menu"
            font.pointSize: 15
            anchors.centerIn: parent
        }
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8;
            onReleased: parent.scale=1;
            onClicked: {//mainmenu
                backClicked();
            }
        }
    }
    Rectangle//sound
    {
        id: sound
        x: 41
        height: 60
        width: 130
        color: "lightblue"
        radius: 10
        anchors.horizontalCenterOffset: -69
        y:120
        anchors.horizontalCenter: parent.horizontalCenter
        Text {
            id: textSound
            text: "Music"
            font.pointSize: 15
            anchors.centerIn: parent
        }
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8;
            onReleased: parent.scale=1;
            onClicked: {
                //sound on off
                if(m=="off")
                {
                    //stopAllSounds();
                    m="on";
                    if(lang=="a")
                        textSound.text="ايقاف الصوت";
                    else textSound.text="Sound OFF";
                }
                else
                {
                    m="off";
                    //music.play();
                    if(lang=="a")textSound.text="تشغيل الصوت";
                    else textSound.text="Sound ON";
                }
                saveHighScore(lang,m);
            }
        }
    }
    Rectangle//score
    {
        id: viewScore
        x: 186
        height: 60
        width: 130
        color: "lightblue"
        radius: 10
        anchors.horizontalCenterOffset: 76
        y:28
        anchors.horizontalCenter: parent.horizontalCenter
        Text {
            id: textViewScore
            text: "Last Score"
            font.pointSize: 15
            anchors.centerIn: parent
        }
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8;
            onReleased: parent.scale=1;
            onClicked: {//view score
                lastScoreClicked();
            }
        }
    }
    Rectangle//view card ranks
    {
        id: cardRanks
        x: 186
        height: 60
        width: 130
        y:95
        color: "lightblue"
        radius: 10
        anchors.verticalCenterOffset: 0
        anchors.horizontalCenterOffset: 76
        anchors.centerIn: parent

        Text {
            id: texCardRanks
            text: "Card Ranks"
            font.pointSize: 15
            anchors.centerIn: parent

        }
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8;
            onReleased: parent.scale=1;
            onClicked: {//card ransks
                cardRankesClicked();
            }
        }
    }
}
