import QtQuick 1.0
Rectangle {
    id:options
    height: 480
    width: 854
    color: "gray"
    signal backClicked()
    Image {
        id: back
        source: "backMain.png"
        anchors.fill: parent
        smooth: true
    }
    Image {
        id: btnBack
        anchors.margins: 20
        anchors.top: parent.top
        anchors.right: parent.right
        smooth: true
        source: "back-icon.png"
        Behavior on x{NumberAnimation{duration: 400}}
        Behavior on y{NumberAnimation{duration: 400}}
        MouseArea
        {
            anchors.fill: parent
            onPressed: parent.scale=.8
            onReleased: parent.scale=1
            onClicked:
            {
                backClicked();
            }
        }
    }
    property int langX: 150
    property int langY: 250 
    property alias btnMusic: btnMusic.source
    property alias btnLang: btnLang

    property alias btnMusicText: btnMusicText.source
    property alias btnLangText: btnLangText.source

    property alias backImageOptions: back

    Image {
        id: btnLangText
        x:langX
        y:langY-btnLangText.height/1.4
        smooth: true
        source: "Language-text.png"
        Behavior on scale {NumberAnimation{duration: 0}}
        Behavior on rotation{NumberAnimation{duration: 0}}
        MouseArea
        {
            anchors.fill: parent
            onPressed: {
                btnLang.scale=.8;
                parent.scale=.8;
            }
            onReleased:
            {
                parent.scale=1;
                btnLang.scale=1;
            }
            onClicked:
            {
                //console.log("lang= "+lang);
                if(lang=="a")
                {
                    lang = "e";
                    btnLang.source ="arabic-icon.png";
                    btnLangText.source="language_a.png";

                    if(m=="on")
                    {
                        saveHighScore("e","on");
                    }
                    else
                    {
                        saveHighScore("e","off");
                    }
                }
                else
                {
                    lang="a";
                    btnLang.source ="english-icon.png";
                    btnLangText.source="Language-text.png";
                    if(m=="on")
                    {
                        saveHighScore("a","on");
                    }
                    else
                    {
                        saveHighScore("a","off");
                    }
                }
            setLang();
            }
         }
    }
    Image {
        id: btnLang
        x:langX
        y:langY
        smooth: true
        source: "arabic-icon.png"
        Behavior on scale {NumberAnimation{duration: 0}}
        Behavior on rotation{NumberAnimation{duration: 0}}
        MouseArea
        {
            anchors.fill: parent
            onPressed: {
                btnLangText.scale=.8;
                parent.scale=.8;
                console.log("lang= "+lang);
            }
            onReleased:
            {
                parent.scale=1;
                btnLangText.scale=1;
            }
            onClicked:
            {
                //console.log("lang= "+lang);
                if(lang=="a")
                {
                    lang = "e";
                    btnLang.source ="arabic-icon.png";
                    btnLangText.source="language_a.png";
                    if(m=="on")
                    {
                        saveHighScore("e","on");
                    }
                    else
                    {
                        saveHighScore("e","off");
                    }
                }
                else
                {
                    lang="a";
                    btnLang.source ="english-icon.png";
                    btnLangText.source="Language-text.png";
                    if(m=="on")
                    {
                        saveHighScore("a","on");
                    }
                    else
                    {
                        saveHighScore("a","off");
                    }
                }
            setLang();
            }
        }
    }
    function setLang()
    {
        if(lang=="a")
        {
            splash.source="arabic-splash.png";
            backMain.source="arabic-menu.png";
            back.source="arabic-menu.png";

            btnPlayText.source="play_text_a.png";
            btnOptionsText.source="setting_text_a.png";
            btnHelpText.source="help_text_a.png";
            btnExitText.source="exit_text_a.png";

            btnLangText.source="language_a.png";
            btnMusicText.source="music_a.png";
        }
        else
        {
            splash.source="splash.png";
            backMain.source="backMain.png";
            back.source="backMain.png";


            btnPlayText.source="play-text.png";
            btnOptionsText.source="setting-text.png";
            btnHelpText.source="help-text.png";
            btnExitText.source="exit_text.png";

            btnLangText.source="Language-text.png";
            btnMusicText.source="music_text.png";
        }
    }

    property int musicX: 300
    property int musicY: 330
    Image {
        id: btnMusicText
        x:musicX+20
        y:musicY-btnMusicText.height/1.4
        smooth: true
        source: "music_text.png"
        Behavior on scale {NumberAnimation{duration: 0}}
        Behavior on rotation{NumberAnimation{duration: 0}}
        MouseArea
        {
            anchors.fill: parent
            onPressed: {
                btnMusic.scale=.8;
                parent.scale=.8;
            }
            onReleased:
            {
                parent.scale=1;
                btnMusic.scale=1;
            }
            onClicked:
            {
                if(m=="off")
                {
                    btnMusic.source="music_on.png";
                    m="on";
                }
                else
                {
                    m="off";
                    btnMusic.source="music_off.png";
                }
                saveHighScore(lang,m);
            }
        }
    }
    Image {
        id: btnMusic
        x:musicX
        y:musicY
        smooth: true
        source: "music_off.png"
        Behavior on scale {NumberAnimation{duration: 0}}
        Behavior on rotation{NumberAnimation{duration: 0}}
        MouseArea
        {
            anchors.fill: parent
            onPressed: {
                btnMusicText.scale=.8;
                parent.scale=.8;
            }
            onReleased:
            {
                parent.scale=1;
                btnMusicText.scale=1;
            }

            onClicked:
            {
                if(m=="off")
                {
                    btnMusic.source="music_on.png";
                    m="on";
                }
                else
                {
                    m="off";
                    btnMusic.source="music_off.png";
                }
                saveHighScore(lang,m);
            }

        }
    }
}
