import QtQuick 1.0
import QtMultimediaKit 1.1
Rectangle {
    id:main2
    height: 480
    width: 854
    //color: "gray"
    state:"mainMenu"
    property string lang: "e"
    property string m: "on"
    Image {
        id: logo
        source: "logo.png"
        opacity: 1
        anchors.centerIn: parent
        smooth: true
    }
    Image {
        id: splash
        source: "splash.png"
        anchors.fill: parent
        opacity: 0
        smooth: true
    }
    property int startGamee: 0
    Timer{
        id: hideLogoAndShowSplashScreen
         interval:3000; running: true; repeat: false
         onTriggered:
         {
             //console.log("Application " + (Qt.application.active ? "active" : "inactive"));

             logo.opacity=0;

             readHighScore() ;
             if(lang=="a")
             {
                 splash.source="arabic-splash.png";
                 backMain.source="arabic-menu.png";
                 options.backImageOptions.source="arabic-menu.png";


                 btnPlayText.source="play_text_a.png";
                 btnOptionsText.source="setting_text_a.png";
                 btnHelpText.source="help_text_a.png";
                 btnExitText.source="exit_text_a.png";

                 options.btnLangText="language_a.png";
                 options.btnMusicText="music_a.png";

                 helpMenu.textBalotOverView="حول البلوت";
                 helpMenu.textBiddingAndGames="المزايدة و الالعاب";
                 helpMenu.textCancel="الغاء";
                 helpMenu.textPlaying="اللعب";
                 helpMenu.textProjectsAndBonuses="المشاريع";
                 helpMenu.textScoring="النقاط";
                 helpMenu.textTitle="مساعدة";
             }
             else
             {
                 helpMenu.textBalotOverView="Balot OverView";
                 helpMenu.textBiddingAndGames="Bidding And Games";
                 helpMenu.textCancel="Cancel";
                 helpMenu.textPlaying="Playing";
                 helpMenu.textProjectsAndBonuses="Projects And Bonuses";
                 helpMenu.textScoring="Scoring";
                 helpMenu.textTitle="Help";

                 splash.source="splash.png";
                 backMain.source="backMain.png";
                 options.backImageOptions.source="backMain.png";

                 btnPlayText.source="play-text.png";
                 btnOptionsText.source="setting-text.png";
                 btnHelpText.source="help-text.png";
                 btnExitText.source="exit_text.png";

                 options.btnLangText="Language-text.png";
                 options.btnMusicText="music_text.png";
             }
             splash.opacity=1;
             hideSplashScreenAndShowMainMenu.start();
         }
    }
    Timer{
        id: hideSplashScreenAndShowMainMenu
         interval: 3000; running: false; repeat: false
         onTriggered:
         {
             splash.opacity=0;
             mrd.opacity=1;
             showMainMenu();
         }
    }

    Image {
        id: backMain
        opacity: 0
        smooth: true
        source: "backMain.png"
        anchors.fill: parent
    }
    property int delay: 1000
    property int playX: 70
    property int playY: 240
    Image {
        id: btnPlayText
        x:playX+30
        y:playY-btnPlayText.height/1.4
        smooth: true
        source: "play-text.png"
        scale: 0
        rotation: 360
        Behavior on scale {NumberAnimation{duration: delay}}
        Behavior on rotation{NumberAnimation{duration: delay}}

        MouseArea
        {
            anchors.fill: parent
            onPressed: {
                btnPlay.scale=.8;
                parent.scale=.8;
            }
            onReleased:
            {
                parent.scale=1;
                btnPlay.scale=1;
            }
            onClicked:
            {
                if(startGamee==0)
                {
                main2.state="inStartGame";
                startGamee=1;
                }
            }
        }
    }
    Image {
        id: btnPlay
        x:playX
        y:playY
        //width: 150
        //height: 100
        smooth: true
        source: "play.png"
        scale: 0
        rotation: 360
        Behavior on scale {NumberAnimation{duration: delay}}
        Behavior on rotation{NumberAnimation{duration: delay}}

        Behavior on x{NumberAnimation{duration: 400}}
        Behavior on y{NumberAnimation{duration: 400}}
        MouseArea
        {
            anchors.fill: parent
            onPressed: {
                btnPlayText.scale=.8;
                parent.scale=.8;
            }
            onReleased:
            {
                parent.scale=1;
                btnPlayText.scale=1;
            }
            onClicked:
            {
                if(startGamee==0){
                main2.state="inStartGame";
                startGamee=1;
                }
            }
        }
    }

    Timer{
        id: setDelay
         interval:1000; running: false; repeat: false
         onTriggered: delay=0;
    }
    property int optionsX: 250
    property int optionsY: 330
    Image {
        id: btnOptionsText
        x:optionsX+15
        y:optionsY-btnOptionsText.height/1.4
        smooth: true
        source: "setting-text.png"
        scale: 0
        rotation: 360
        Behavior on scale {NumberAnimation{duration: delay}}
        Behavior on rotation{NumberAnimation{duration: delay}}
        MouseArea
        {
            anchors.fill: parent
            onPressed:
            {
                btnOptions.scale=.8;
                parent.scale=.8;
            }
            onReleased:
            {
                btnOptions.scale=1;
                parent.scale=1;
            }
            onClicked:
            {
                if(m=="on")
                {
                    options.btnMusic="music_on.png"

                }
                else
                {
                    options.btnMusic="music_off.png"
                }
                if(startGamee==0)
                main2.state="inOptions";
            }
        }
    }
    Image {
        id: btnOptions
        x:optionsX
        y:optionsY
        smooth: true
        scale: 0
        rotation: 360
        source: "settings.png"
        Behavior on scale {NumberAnimation{duration: delay}}
        Behavior on rotation{NumberAnimation{duration: delay}}
        MouseArea
        {
            anchors.fill: parent
            onPressed:
            {
                btnOptionsText.scale=.8;
                parent.scale=.8;
            }
            onReleased:
            {
                btnOptionsText.scale=1;
                parent.scale=1;
            }
            onClicked:
            {
                if(m=="on")
                {
                    options.btnMusic="music_on.png"

                }
                else
                {
                    options.btnMusic="music_off.png"
                }
                if(startGamee==0)
                main2.state="inOptions";
            }
        }
    }

    property int helpX: 440
    property int helpY: 240
    function helpLang()
    {
        if(lang=="a")
        {
            helpMenu.textBalotOverView="حول البلوت";
            helpMenu.textBiddingAndGames="المزايدة و الالعاب";
            helpMenu.textCancel="الغاء";
            helpMenu.textPlaying="اللعب";
            helpMenu.textProjectsAndBonuses="المشاريع";
            helpMenu.textScoring="النقاط";
            helpMenu.textTitle="مساعدة";
        }
        else
        {
            helpMenu.textBalotOverView="Balot Overview";
            helpMenu.textBiddingAndGames="Bidding and Games";
            helpMenu.textCancel="Cancel";
            helpMenu.textPlaying="Playing";
            helpMenu.textProjectsAndBonuses="Projects and Bonuses";
            helpMenu.textScoring="Scoring";
            helpMenu.textTitle="Help";
        }
    }
    Image {
        id: btnHelpText
        x:helpX+30
        y:helpY-btnHelpText.height/1.4
        smooth: true
        scale: 0
        rotation: 360
        Behavior on scale {NumberAnimation{duration: delay}}
        Behavior on rotation{NumberAnimation{duration: delay}}

        source: "help-text.png"
        Behavior on x{NumberAnimation{duration: 600}}
        Behavior on y{NumberAnimation{duration: 600}}
        MouseArea
        {
            anchors.fill: parent
            onPressed:
            {
                btnHelp.scale=.8;
                parent.scale=.8;
            }
            onReleased:
            {
                btnHelp.scale=1;
                parent.scale=1;
            }
            onClicked:
            {
                helpLang();
                helpMenu.opacity=1;
            }
        }
    }
    Image {
        id: btnHelp
        x:helpX
        y:helpY
        scale: 0
        rotation: 360
        Behavior on scale {NumberAnimation{duration: delay}}
        Behavior on rotation{NumberAnimation{duration: delay}}

        //width: 72
        //height: 64
        smooth: true
        source: "help.png"
        Behavior on x{NumberAnimation{duration: 700}}
        Behavior on y{NumberAnimation{duration: 700}}
        MouseArea
        {
            anchors.fill: parent
            onPressed:
            {
                btnHelpText.scale=.8;
                parent.scale=.8;
            }
            onReleased:
            {
                btnHelpText.scale=1;
                parent.scale=1;
            }
            onClicked:
            {
                helpLang();
                helpMenu.opacity=1;
            }
        }
    }

    property int exitX: 630
    property int exitY: 330
    Image {
        id: btnExitText
        x:exitX+30
        y:exitY-btnExitText.height/1.4
        smooth: true
        scale: 0
        rotation: 360
        Behavior on scale {NumberAnimation{duration: delay}}
        Behavior on rotation{NumberAnimation{duration: delay}}

        source: "exit_text.png"
        Behavior on x{NumberAnimation{duration: 600}}
        Behavior on y{NumberAnimation{duration: 600}}
        MouseArea
        {
            anchors.fill: parent
            onPressed:
            {
                btnExit.scale=.8;
                parent.scale=.8;
            }
            onReleased:
            {
                btnExit.scale=1;
                parent.scale=1;
            }
            onClicked:
            {
                if(startGamee==0)
                Qt.quit();
                //startGamee=1;
            }
        }
    }
    Image {
        id: btnExit
        x:exitX
        y:exitY
        smooth: true
        scale: 0
        rotation: 360
        Behavior on scale {NumberAnimation{duration: delay}}
        Behavior on rotation{NumberAnimation{duration: delay}}

        source: "exit.png"
        Behavior on x{NumberAnimation{duration: 800}}
        Behavior on y{NumberAnimation{duration: 800}}
        MouseArea
        {
            anchors.fill: parent
            onPressed:
            {
                btnExitText.scale=.8;
                parent.scale=.8;
            }
            onReleased:
            {
                btnExitText.scale=1;
                parent.scale=1;
            }
            onClicked:
            {
                if(startGamee==0)
                Qt.quit();
            }
        }
    }
    HelpMenu
    {
        id:helpMenu
        opacity: 0
        onCancelClicked: helpMenu.opacity=0;
        anchors.centerIn: parent
        //anchors.bottom: parent.bottom
        //anchors.horizontalCenter: parent.horizontalCenter
        //anchors.margins: 15
    }
    function showMainMenu()
    {
        backMain.opacity=1;
        btnPlay.scale=1;
        btnPlay.rotation=0;
        btnPlayText.scale=1;
        btnPlayText.rotation=0;

        btnOptions.scale=1;
        btnOptions.rotation=0;
        btnOptionsText.scale=1;
        btnOptionsText.rotation=0;

        btnHelp.scale=1;
        btnHelp.rotation=0;
        btnHelpText.scale=1;
        btnHelpText.rotation=0;

        btnExit.scale=1;
        btnExit.rotation=0;
        btnExitText.scale=1;
        btnExitText.rotation=0;
        setDelay.start();
    }

    Image {
        id: mrd
        source: "by-mrd.png"
        anchors.bottom: parent.bottom
        anchors.right: parent.right
        opacity: 0
    }
    StartGame{
        id: startGame
        //x: parent.width
        visible: false
        scale: 0
        anchors.fill: parent
        onBackClicked: main2.state="mainMenu";
    }

    POptions{
        id: options
        visible: false
        anchors.fill: parent
        onBackClicked: {
            main2.state="mainMenu";
            options.visible=false;
            options.opacity=0;
        }
    }
    Audio{
        id:music
        //source: "music.mp3"
        source: "Card Deal 04.wav"
    }

    Audio{
        id:audioOneCard
        source: "Card Deal 04.wav"
    }
    Audio{
        id:audioCards
        source: "Dealing Cards (Ending).mp3"
    }
    Audio{
        id:audioSun
        source: "sun.mp3"
    }
    Audio{
        id:audioHokomC
        source: "hokom.mp3"
    }
    Audio{
        id:audioHokomH
        source: "hokom.mp3"
    }
    Audio{
        id:audioHokomD
        source: "hokom.mp3"
    }
    Audio{
        id:audioHokomS
        source: "hokom.mp3"
    }
    Audio{
        id:audioMsho3_400
        source: "m400.mp3"
    }
    Audio{
        id:audioMsho3_100
        source: "m100.mp3"
    }
    Audio{
        id:audioMsho3_50
        source: "m50.mp3"
    }
    Audio{
        id:audioMsho3_serra
        source: "m20.mp3"
    }
    Audio{
        id:audioPass
        source: "pass.mp3"

    }
    Audio{
        id:audioMsho3_Balot
        source: "mBalot.mp3"

    }
    states:  [
        State {
            name: "inStartGame"
            PropertyChanges { target: startGame; scale:1}
        },
        State {
            name: "inOptions"
            PropertyChanges { target: options; opacity:1}
        }
    ]
    // Transition animation for the state change
    transitions: [
        Transition {
            from: "mainMenu"
            to: "inStartGame"
            reversible: true
            SequentialAnimation {
                PropertyAction { target: startGame; property: "visible"; value:true}
                NumberAnimation { target: startGame; property: "scale";
                    duration: 800; easing.type: Easing.InOutCubic }
            }
        },
        Transition {
            from: "mainMenu"
            to: "inOptions"
            reversible: true
            SequentialAnimation {
                PropertyAction { target: options; property: "visible"; value:true}
                NumberAnimation { target: options; property: "opacity";
                    duration: 0; easing.type: Easing.InOutCubic }
            }
        }
    ]

    function saveHighScore(lang,music) {
        var db = openDatabaseSync("SameGameScores2", "1.0", "Local SameGame High Scores2", 100);
        var dataStr = "INSERT INTO Scores VALUES(?, ?)";
        var data = [lang, music];
        db.transaction(function(tx)
        {
            tx.executeSql('CREATE TABLE IF NOT EXISTS Scores(lang TEXT, music TEXT)');
            tx.executeSql(dataStr, data);
        });
    }

    function readHighScore() {
        var db = openDatabaseSync("SameGameScores2", "1.0", "Local SameGame High Scores2", 100);
        var data = [lang, music];
        db.transaction(function(tx)
        {
            tx.executeSql('CREATE TABLE IF NOT EXISTS Scores(lang NUMBER, music NUMBER)');
            var rs = tx.executeSql('SELECT * FROM Scores');
            var lan = "";//0 english
            var mus = "";//0 off
            for (var i = 0; i < rs.rows.length; i++)
            {
                lan=rs.rows.item(rs.rows.length-1).lang;
                mus=rs.rows.item(rs.rows.length-1).music;
                console.log("r "+lan);
                console.log("r "+mus);
                if(lan=="e")
                {
                    lang="e";
                    options.btnLang.source="arabic-icon.png";
                }
                else if(lan=="a")
                {
                    lang="a";
                    options.btnLang.source="english-icon.png";
                }
                else
                {
                    //lang="a";
                    //options.btnLang.source="english-icon.png";
                    lang="e";
                    options.btnLang.source="arabic-icon.png";
                }

                if(mus=="on")
                {
                    m="on";
                    //music.play();
                    //nonMuteAll();
                    options.btnMusic="music_off.png";
                }
                else if(mus=="off")
                {
                    //music.stop();
                     m="off";
                    //muteAll();
                    options.btnMusic.source="music_on.png";
                }
                else
                {
                    //music.stop();
                     m="on";
                    //muteAll();
                    options.btnMusic="music_on.png";
                }

                if(lan=="0")
                {
                    saveHighScore("e","on");
                    lang="e";
                }
                break;
            }

        });
    }

    function muteAll()
    {
        audioCards.volume=0;
        music.volume=0;
        audioHokomS.volume=0;
        audioHokomH.volume=0;
        audioHokomD.volume=0;
        audioHokomC.volume=0;
        audioMsho3_100.volume=0;
        audioMsho3_400.volume=0;
        audioMsho3_50.volume=0;
        audioMsho3_serra.volume=0;
        audioOneCard.volume=0;
        audioPass.volume=0;
        audioSun.volume=0;
    }
    function nonMuteAll()
    {
        audioCards.volume=100;
        music.volume=100;
        audioHokomS.volume=100;
        audioHokomH.volume=100;
        audioHokomD.volume=100;
        audioHokomC.volume=100;
        audioMsho3_100.volume=100;
        audioMsho3_400.volume=100;
        audioMsho3_50.volume=100;
        audioMsho3_serra.volume=100;
        audioOneCard.volume=100;
        audioPass.volume=100;
        audioSun.volume=100;
    }
}
